如何在webpack中使用ES6 loader和brfs变换?

我有一个大的webpack生成用ES6编写的ui,我想添加一个名为lumenize的fs.readFileSync()的npm模块。 该软件包通常使用browserify构build。 我无法configurationwebpack从ES6代码中使用bfrs。

我试过这个configuration:

loaders: [ "transform?brfs", "babel-loader" ], 

并颠倒了顺序,但都没有奏效。

我想过要导入浏览器版本的软件包,但是这个浏览过的版本公开了require()的全局polyfill,直接在浏览器中使用。 我知道这是一个不可用的webpack。 真的吗? 我可以分解这个项目并删除这个全球性的风险,但是对这个configuration的帮助将不胜感激。

Solutions Collecting From Web of "如何在webpack中使用ES6 loader和brfs变换?"